Skip to main content
`Ctrl`+`K`

# DMTSSetIJacobianContextDestroy

set `TS` Jacobian evaluation context destroy function into a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIJacobianContextDestroy(DM dm, PetscCtxDestroyFn *f)

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- f - Jacobian evaluation context destroy function, see `PetscCtxDestroyFn` for its calling sequence

## Note

`TSSetIJacobianContextDestroy()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`. This makes the interface consistent regardless of whether the user interacts with a `DM` or not.

## Developer Notes

If `DM` took a more central role at some later date, this could become the primary method of setting the Jacobian.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TSSetIJacobianContextDestroy()`, `TSSetI2JacobianContextDestroy()`, `DMTSSetIJacobian()`, `TSSetIJacobian()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages